%global tarname setproctitle

Summary:        Python module to customize a process title
Name:           python-setproctitle
Version:        1.2.3
Release:        4%{?dist}
License:        BSD
URL:            http://pypi.python.org/pypi/%{tarname}
Source0:        https://pypi.io/packages/source/s/%{tarname}/%{tarname}-%{version}.tar.gz

BuildRequires:  gcc

%description
Python module allowing a process to change its title as displayed by system tool such as ps and top.

It's useful in multiprocess systems, allowing to identify tasks each forked process is busy with.
This technique has been used by PostgreSQL and OpenSSH.

It's based on PostgreSQL implementation which has proven to be portable.

%package -n python3-%{tarname}
Summary:        Python module to customize a process title
BuildRequires:  python3-devel python3-setuptools python3-pytest procps-ng

%description -n python3-%{tarname}
Python module allowing a process to change its title as displayed by system tool such as ps and top.

It's useful in multi-process systems, allowing to identify tasks each forked process is busy with.
This technique has been used by PostgreSQL and OpenSSH.

It's based on PostgreSQL implementation which has proven to be portable.

%prep
%autosetup -n %{tarname}-%{version}

%build
%py3_build

%install
%py3_install
chmod 0755 %{buildroot}%{python3_sitearch}/setproctitle*.so

%check
%pytest

%files -n python3-%{tarname}
%license COPYRIGHT
%doc README.rst
%{python3_sitearch}/%{tarname}*.so
%{python3_sitearch}/%{tarname}*.egg-info

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 Shuo Wang <abushwang@tencent.com> - 1.2.3-1
- initial build
